header {
  background-color: whitesmoke;
  padding: 2rem 0;
}

.header-container {
  display: grid;
  grid-template-columns: 1fr auto;
  grid-gap: 4rem;
  align-items: center;
  border: 1px dashed var(--r-red);
}

.button-sticky {
  position: sticky;
  top: 52px;
}